'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = SortIcon;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _arrowIcon = require('./arrow-icon');

var _arrowIcon2 = _interopRequireDefault(_arrowIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  top: {
    position: 'absolute',
    top: 'calc(50% - 6px)'
  },
  bottom: {
    position: 'absolute',
    top: 'calc(50% - 10px)'
  }
};

function SortIcon(props) {
  var onTopClick = function onTopClick() {
    return props.onClick('asc');
  };
  var onBottomClick = function onBottomClick() {
    return props.onClick('desc');
  };
  return _react2.default.createElement(
    'div',
    { style: props.style },
    _react2.default.createElement(_arrowIcon2.default, {
      direction: 'top',
      onClick: onTopClick,
      style: _extends({}, styles.top, { display: props.isAscActive ? 'block' : 'none' }),
      color: props.enabledColor
    }),
    _react2.default.createElement(_arrowIcon2.default, {
      direction: 'bottom',
      onClick: onBottomClick,
      style: _extends({}, styles.bottom, { display: props.isDescActive ? 'block' : 'none' }),
      color: props.enabledColor
    })
  );
}

SortIcon.propTypes = {
  style: _react.PropTypes.object,
  onClick: _react.PropTypes.func,
  isAscActive: _react.PropTypes.bool,
  isDescActive: _react.PropTypes.bool,
  enabledColor: _react.PropTypes.string
};